Bug 868333 - [abrt] ibus-1.4.99.20120914-2.fc17: g_logv: Process /usr/libexec/ibus-dconf was killed by signal 5 (SIGTRAP)
[abrt] ibus-1.4.99.20120914-2.fc17: g_logv: Process /usr/libexec/ibus-dconf w...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:c4a59ad353b1a5bc9fff1abe230...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 10:22 EDT by netroby
Modified: 2012-12-10 05:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 05:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (1.65 KB, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: environ (816 bytes, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: backtrace (19.35 KB, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: maps (11.45 KB, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: dso_list (2.48 KB, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: var_log_messages (566 bytes, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details
File: open_fds (366 bytes, text/plain)
2012-10-19 10:22 EDT, netroby
no flags Details

  None (edit)
Description netroby 2012-10-19 10:22:09 EDT
Version-Release number of selected component:
ibus-1.4.99.20120914-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-dconf
crash_function: g_logv
kernel:         3.6.2-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_logv at gmessages.h:101
: #2 dconf_engine_refresh_system at ../engine/dconf-engine.c:188
: #3 dconf_engine_setup at ../engine/dconf-engine.c:218
: #4 dconf_engine_new at ../engine/dconf-engine.c:376
: #5 dconf_client_construct at dconf-client.c:1508
: #6 dconf_client_new at dconf-client.c:1531
: #7 ibus_config_dconf_init at config.c:251
: #8 g_type_create_instance at gtype.c:1892
: #9 g_object_constructor at gobject.c:1849
: #11 g_object_new_valist at gobject.c:1830
Comment 1 netroby 2012-10-19 10:22:12 EDT
Created attachment 630060 [details]
File: core_backtrace
Comment 2 netroby 2012-10-19 10:22:15 EDT
Created attachment 630061 [details]
File: environ
Comment 3 netroby 2012-10-19 10:22:18 EDT
Created attachment 630063 [details]
File: backtrace
Comment 4 netroby 2012-10-19 10:22:22 EDT
Created attachment 630064 [details]
File: limits
Comment 5 netroby 2012-10-19 10:22:26 EDT
Created attachment 630065 [details]
File: cgroup
Comment 6 netroby 2012-10-19 10:22:29 EDT
Created attachment 630066 [details]
File: maps
Comment 7 netroby 2012-10-19 10:22:31 EDT
Created attachment 630067 [details]
File: dso_list
Comment 8 netroby 2012-10-19 10:22:33 EDT
Created attachment 630068 [details]
File: var_log_messages
Comment 9 netroby 2012-10-19 10:22:36 EDT
Created attachment 630069 [details]
File: open_fds
Comment 10 fujiwara 2012-10-21 22:38:45 EDT
(In reply to comment #3)
> Created attachment 630063 [details]
> File: backtrace

> #0  g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, format=0x3107a07dc8 "Unable to open '%s', specified in dconf profile\n", args1=args1@entry=0x7fff46488158) at gmessages.h:101
> #1  0x0000003108a4eb22 in g_log (log_domain=log_domain@entry=0x0, log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x3107a07dc8 "Unable to open '%s', specified in dconf profile\n") at gmessages.c:792
>         args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff46488230, reg_save_area = 0x7fff46488170}}
> #2  0x0000003107a03628 in dconf_engine_refresh_system (engine=0x9b6ed0, i=<optimized out>) at ../engine/dconf-engine.c:188
>         filename = 0x9c0780 "/etc/dconf/db/ibus"


It's curious that your system does not have "/etc/dconf/db/ibus" .


% rpm -q --scripts ibus
posttrans scriptlet (using /bin/sh):
dconf update


The ibus post script runs 'dconf update' and it creates "/etc/dconf/db/ibus".

Does not 'dconf update' create "/etc/dconf/db/ibus" in your system?
Comment 11 fujiwara 2012-12-10 05:37:29 EST
If you still reproduce this problem, please comment here.

Note You need to log in before you can comment on or make changes to this bug.